Package robocode.robotinterfaces

# Interface IPaintRobot

All Superinterfaces:
  `IBasicRobot`

All Known Implementing Classes:
  `_AdvancedRadiansRobot`, `_AdvancedRobot`, `AdvancedRobot`, `RateControlRobot`, `Robot`, `TeamRobot`

public interface IPaintRobot extends IBasicRobot
A robot interface that makes it possible for a robot to receive paint events.

Since:
  1.6
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)

## Method Summary

Modifier and Type
Method
Description
`IPaintEvents`
`getPaintEventListener()`
This method is called by the game to notify this robot about painting events.

### Methods inherited from interface robocode.robotinterfaces.IBasicRobot

`getBasicEventListener, getRobotRunnable, setOut, setPeer`

## Method Details

### getPaintEventListener

IPaintEvents getPaintEventListener()
This method is called by the game to notify this robot about painting events. Hence, this method must be implemented so it returns your `IPaintEvents` listener.

Returns:
  listener to paint events or `null` if this robot should not receive the notifications.
Since:
  1.6